oracle.pgx.common.types

## Enum CollectionType

- java.lang.Object
- - java.lang.Enum<CollectionType>
  - - oracle.pgx.common.types.CollectionType

- All Implemented Interfaces:
    Serializable, Comparable<CollectionType>, Type

      public enum CollectionType
      extends Enum<CollectionType>
      implements Type

  All supported collection types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORDER` CollectionType Order, like a set, but with ordering.
    `SEQUENCE` CollectionType Sequence, ordered and allows to contain values multiple times.
    `SET` CollectionType Set, each value can only appear once, ordering does not matter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getTypeClass()` Gets the type class.
    `static CollectionType` | `getTypeFor(Class<?> typeClass)` Returns the CollectionType based on a typeClass.
    `static CollectionType` | `parseCollectionType(String input)`
    `String` | `toKey()` Returns the key of this type as string.
    `String` | `toString()` Returns the key of this type as string.
    `static CollectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CollectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORDER

          public static final CollectionType ORDER

      CollectionType Order, like a set, but with ordering.

    - #### SEQUENCE

          public static final CollectionType SEQUENCE

      CollectionType Sequence, ordered and allows to contain values multiple times.

    - #### SET

          public static final CollectionType SET

      CollectionType Set, each value can only appear once, ordering does not matter.

  - ### Method Detail

    - #### getTypeClass

          public Class<?> getTypeClass()

      Description copied from interface: `Type`
      Gets the type class.
      Specified by:
        `getTypeClass` in interface `Type`
      Returns:
        the Java class this type maps to

    - #### getTypeFor

          public static CollectionType getTypeFor(Class<?> typeClass)

      Returns the CollectionType based on a typeClass.
      Parameters:
        `typeClass` - Use this typeClass to derive the CollectionType
      Returns:
        The CollectionType that belongs to this typeClass

    - #### parseCollectionType

          public static CollectionType parseCollectionType(String input)

    - #### toKey

          public String toKey()

      Description copied from interface: `Type`
      Returns the key of this type as string.
      Specified by:
        `toKey` in interface `Type`
      Returns:
        a JSON string representation of this type

    - #### toString

          public String toString()

      Returns the key of this type as string. See `toKey()`.
      Overrides:
        `toString` in class `Enum<CollectionType>`
      Returns:
        the String representation of this type, which is the enum key.

    - #### valueOf

          public static CollectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static CollectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectionType c : CollectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.